package net.sergeych.crypto2

enum class KeysMagickNumber(val number: Int) {
    defaultAssymmetric(0),
    defaultSymmetric(1),
    defaultSession(2),
    defaultSigning(3),
    defaultVerifying(4),
    ;

    companion object {

        val forNumber = entries.map { it.number to it }.toMap()

        @Suppress("unused")
        fun findFor(binaryId: BinaryId): KeysMagickNumber? = forNumber[binaryId.magick]
    }
}